Prompt to install Java 1.6 runtime when starting oXygen on M

Having trouble installing <oXygen/>? Got a bug to report? Post it all here.

Prompt to install Java 1.6 runtime when starting oXygen on M

Postby joewiz » Thu Oct 24, 2013 4:12 pm

When I fired up oXygen for the first time after upgrading from Mac OS X 10.8 to 10.9 (Mavericks), the system prompted me to install Java 6, even though I had already installed the Java 1.7.0_45 JDK from Oracle:

To open "Oxygen XML Editor," you need a Java SE 6 runtime. Would you like to install one now? Not now / Install


I had thought that Oxygen was bundled with its own JRE, and expected that at worst it would fall back on the system version of Java.

I don't consider the Java 6 requirement a problem - just a hiccup. Posting here in case others encounter this.
joewiz
 
Posts: 50
Joined: Fri Jun 06, 2008 8:05 pm

Re: Prompt to install Java 1.6 runtime when starting oXygen

Postby adrian » Thu Oct 24, 2013 5:08 pm

Hello,

Only the Windows and Linux kits of Oxygen bundle a JRE (Java SE 7) with the installation.
The OS X kit of Oxygen up to and including v15.1 relies on the system installed Java SE 6 from Apple. It does not it officially support or recognize the system installed Java SE 7 (yet).

As you've observed, when starting the application for the first time, the system prompts you to install Java SE 6 and after installing it, the application starts as expected.
We are currently testing Oxygen with Java SE 7 u40/u45 on OS X and we will most likely bundle it in our distribution kits starting with version 15.2.

Regards,
Adrian
Adrian Buza
<oXygen/> XML Editor, Schema Editor and XSLT Editor/Debugger
http://www.oxygenxml.com
adrian
 
Posts: 1731
Joined: Tue May 17, 2005 4:01 pm

Re: Prompt to install Java 1.6 runtime when starting oXygen

Postby joewiz » Thu Oct 24, 2013 5:51 pm

Great, thanks for this info, Adrian.
joewiz
 
Posts: 50
Joined: Fri Jun 06, 2008 8:05 pm


Return to Common Problems

Who is online

Users browsing this forum: No registered users and 0 guests